/*
	JAHIDDevices framework
	
	Wrapper for IOKit HID Manager device. The standard HID JAInputDevice
	plug-in is layered on top of this; other plug-ins, for input devices that
	are not Generic Desktop devices, may also use it. It is implemented as a
	stand-alone framework so that it may also be used separately from
	JAInputDevices.
	
	Unlike the simpler JAInputDevice interface in which a device contains a
	flat set of elements, a HID device is the root in a tree of elements. For
	this reason, JAHIDDevice and JAHIDElement share a superclass,
	JAHIDElementCollection, representing a node in that tree.
	
	
	Copyright © 2008 Jens Ayton

	Permission is hereby granted, free of charge, to any person obtaining a
	copy of this software and associated documentation files (the “Software”),
	to deal in the Software without restriction, including without limitation
	the rights to use, copy, modify, merge, publish, distribute, sublicense,
	and/or sell copies of the Software, and to permit persons to whom the
	Software is furnished to do so, subject to the following conditions:
	
	The above copyright notice and this permission notice shall be included in
	all copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
	THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
	FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
	DEALINGS IN THE SOFTWARE.
*/

#import <JAHIDDevices/JAHIDDevicesBaseTypes.h>
#import <JAHIDDevices/JAHIDElementCollection.h>
#import <JAHIDDevices/JAHIDDevice.h>
#import <JAHIDDevices/JAHIDElement.h>
#import <JAHIDDevices/JAHIDUtilities.h>


/*	@function	JAHIDDevicesLoad
	@abstract	Must be called before JAHIDDevices framework is used.
*/
void JAHIDDevicesLoad(void);
