/*
	JAHIDDevicesBaseTypes.h
	
	Copyright © 2008 Jens Ayton

	Permission is hereby granted, free of charge, to any person obtaining a
	copy of this software and associated documentation files (the “Software”),
	to deal in the Software without restriction, including without limitation
	the rights to use, copy, modify, merge, publish, distribute, sublicense,
	and/or sell copies of the Software, and to permit persons to whom the
	Software is furnished to do so, subject to the following conditions:
	
	The above copyright notice and this permission notice shall be included in
	all copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
	THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
	FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
	DEALINGS IN THE SOFTWARE.
*/


#ifndef INCLUDED_JAHIDDEVICEBASETYPES_h
#define INCLUDED_JAHIDDEVICEBASETYPES_h

#import <JAHIDDevices/JAInputDevicesBaseTypes.h>


typedef uint_fast16_t	JAHIDUsagePage;
typedef uint_fast16_t	JAHIDUsage;
typedef uint_fast32_t	JAHIDVendorID;
typedef uint_fast32_t	JAHIDProductID;
typedef uint_fast32_t	JAHIDUnit;
typedef uint_fast32_t	JAHIDUnitExponent;

/*	Cookies are redefined from void* to uint32_t in 64-bit. The idea is that
	they're opaque 32-bit values, so we can use uint_fast32_t across the board.
	A custom typedef is used here so we have the same type on all architectures.
*/
typedef uint_fast32_t JAHIDElementCookie;

#endif	/* INCLUDED_JAHIDDEVICEBASETYPES_h */
