/*
	JAInputHIDUtilities.h
	
	Utilities relating to USB HID-style devices. The "description" functions
	are intended for debugging rather than for user display.
	
	
	Copyright © 2008 Jens Ayton

	Permission is hereby granted, free of charge, to any person obtaining a
	copy of this software and associated documentation files (the “Software”),
	to deal in the Software without restriction, including without limitation
	the rights to use, copy, modify, merge, publish, distribute, sublicense,
	and/or sell copies of the Software, and to permit persons to whom the
	Software is furnished to do so, subject to the following conditions:
	
	The above copyright notice and this permission notice shall be included in
	all copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
	THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
	FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
	DEALINGS IN THE SOFTWARE.
*/

#ifndef INCLUDED_JAINPUTHIDUTILITIES_h
#define INCLUDED_JAINPUTHIDUTILITIES_h

#import <JAHIDDevices/JAHIDDevicesBaseTypes.h>

JAINPUT_NOT_CPP


extern JAInputStringRef JAInputCopyDescriptionForHIDUsage(JAHIDUsagePage usagePage, JAHIDUsage usage, JAInputBoolean includeNumbers);
extern JAInputStringRef JAInputCopyDescriptionForUsagePairs(JAInputArrayRef usages, JAInputBoolean includeNumbers);

extern JAInputStringRef JAInputCopyDescriptionForHIDElementType(unsigned /* IOHIDElementType */ type);
extern JAInputStringRef JAInputCopyDescriptionForHIDElementCollectionType(unsigned /* IOHIDElementCollectionType */ type);
extern JAInputStringRef JAInputCopyDescriptionForHIDElementTypeAndCollectionType(unsigned /* IOHIDElementType */ type, unsigned /* IOHIDElementCollectionType */ collectionType);


#if JAINPUT_OBJC

extern NSString *JAInputDescriptionForHIDUsage(JAHIDUsagePage usagePage, JAHIDUsage usage, BOOL includeNumbers);
extern NSString *JAInputDescriptionForUsagePairs(NSArray *usages, BOOL includeNumbers);

extern NSString *JAInputDescriptionForHIDElementType(unsigned /* IOHIDElementType */ type);
extern NSString *JAInputDescriptionForHIDElementCollectionType(unsigned /* IOHIDElementCollectionType */ type);
extern JAInputStringRef JAInputDescriptionForHIDElementTypeAndCollectionType(unsigned /* IOHIDElementType */ type, unsigned /* IOHIDElementCollectionType */ collectionType);

#endif

JAINPUT_END_NOT_CPP
#endif	/* INCLUDED_JAINPUTHIDUTILITIES_h */
